Freeciv-3.1: generate_packets.Packet Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Member Functions | Data Fields
generate_packets.Packet Class Reference

## Public Member Functions

| __init__ (self, str, types)
| get_struct (self)
| get_prototypes (self)
| get_dict (self, vars)
| get_send (self)
| get_variants (self)
| get_lsend (self)
| get_dsend (self)
| get_dlsend (self)

## Data Fields

| types
| log_macro
| gen_stats
| gen_log
| type
| name
| type_number
| dirs
| is_info
| want_pre_send
| want_post_recv
| want_post_send
| delta
| no_packet
| handle_via_packet
| handle_per_conn
| no_handle
| dsend_given
| want_lsend
| want_force
| cancel
| fields
| key_fields
| other_fields
| bits
| keys_format
| keys_arg
| want_dsend
| extra_send_args
| extra_send_args2
| extra_send_args3
| send_prototype
| lsend_prototype
| dsend_prototype
| dlsend_prototype
| variants

## Detailed Description

Definition at line 1332 of file generate_packets.py.

## Constructor & Destructor Documentation

## ◆ __init__()

generate_packets.Packet.__init__ | ( |  | self,
|  |  | str,
|  |  | types
| ) |  |

Definition at line 1333 of file generate_packets.py.

## Member Function Documentation

## ◆ get_dict()

generate_packets.Packet.get_dict | ( |  | self,
|  |  | vars
| ) |  |

Definition at line 1520 of file generate_packets.py.

Referenced by generate_packets.Field.get_cmp(), generate_packets.Field.get_cmp_wrapper(), generate_packets.Variant.get_delta_receive_body(), generate_packets.Variant.get_delta_send_body(), generate_packets.Packet.get_dlsend(), generate_packets.Packet.get_dsend(), generate_packets.Field.get_fill(), generate_packets.Field.get_get_real(), generate_packets.Field.get_get_wrapper(), generate_packets.Field.get_put_real(), generate_packets.Field.get_put_wrapper(), generate_packets.Variant.get_receive(), generate_packets.Variant.get_send(), generate_packets.Packet.get_send(), and generate_packets.Variant.get_stats().

## ◆ get_dlsend()

generate_packets.Packet.get_dlsend | ( |  | self | ) |

Definition at line 1594 of file generate_packets.py.

## ◆ get_dsend()

generate_packets.Packet.get_dsend | ( |  | self | ) |

Definition at line 1578 of file generate_packets.py.

## ◆ get_lsend()

generate_packets.Packet.get_lsend | ( |  | self | ) |

Definition at line 1565 of file generate_packets.py.

## ◆ get_prototypes()

generate_packets.Packet.get_prototypes | ( |  | self | ) |

Definition at line 1509 of file generate_packets.py.

## ◆ get_send()

generate_packets.Packet.get_send | ( |  | self | ) |

Definition at line 1525 of file generate_packets.py.

## ◆ get_struct()

generate_packets.Packet.get_struct | ( |  | self | ) |

Definition at line 1495 of file generate_packets.py.

## ◆ get_variants()

generate_packets.Packet.get_variants | ( |  | self | ) |

Definition at line 1550 of file generate_packets.py.

## Field Documentation

## ◆ bits

generate_packets.Packet.bits

Definition at line 1426 of file generate_packets.py.

## ◆ cancel

generate_packets.Packet.cancel

Definition at line 1408 of file generate_packets.py.

Referenced by generate_packets.Variant.get_delta_receive_body(), and generate_packets.Variant.get_delta_send_body().

## ◆ delta

generate_packets.Packet.delta

Definition at line 1384 of file generate_packets.py.

Referenced by generate_packets.Variant.get_receive(), and generate_packets.Variant.get_send().

## ◆ dirs

generate_packets.Packet.dirs

Definition at line 1354 of file generate_packets.py.

## ◆ dlsend_prototype

generate_packets.Packet.dlsend_prototype

Definition at line 1467 of file generate_packets.py.

Referenced by generate_packets.Packet.get_prototypes().

## ◆ dsend_given

generate_packets.Packet.dsend_given

Definition at line 1399 of file generate_packets.py.

## ◆ dsend_prototype

generate_packets.Packet.dsend_prototype

Definition at line 1465 of file generate_packets.py.

Referenced by generate_packets.Packet.get_prototypes().

## ◆ extra_send_args

generate_packets.Packet.extra_send_args

Definition at line 1444 of file generate_packets.py.

## ◆ extra_send_args2

generate_packets.Packet.extra_send_args2

Definition at line 1445 of file generate_packets.py.

## ◆ extra_send_args3

generate_packets.Packet.extra_send_args3

Definition at line 1446 of file generate_packets.py.

## ◆ fields

generate_packets.Packet.fields

Definition at line 1421 of file generate_packets.py.

Referenced by generate_packets.Packet.get_dlsend(), generate_packets.Packet.get_dsend(), generate_packets.Variant.get_receive(), and generate_packets.Variant.get_send().

## ◆ gen_log

generate_packets.Packet.gen_log

Definition at line 1337 of file generate_packets.py.

Referenced by generate_packets.Variant.get_delta_receive_body(), generate_packets.Variant.get_delta_send_body(), generate_packets.Variant.get_receive(), and generate_packets.Variant.get_send().

## ◆ gen_stats

generate_packets.Packet.gen_stats

Definition at line 1336 of file generate_packets.py.

Referenced by generate_packets.Variant.get_delta_send_body(), and generate_packets.Variant.get_send().

## ◆ handle_per_conn

generate_packets.Packet.handle_per_conn

Definition at line 1393 of file generate_packets.py.

## ◆ handle_via_packet

generate_packets.Packet.handle_via_packet

Definition at line 1390 of file generate_packets.py.

## ◆ is_info

generate_packets.Packet.is_info

Definition at line 1367 of file generate_packets.py.

Referenced by generate_packets.Variant.get_delta_send_body(), and generate_packets.Variant.get_send().

## ◆ key_fields

generate_packets.Packet.key_fields

Definition at line 1424 of file generate_packets.py.

Referenced by generate_packets.Variant.get_cmp(), generate_packets.Variant.get_delta_receive_body(), generate_packets.Variant.get_delta_send_body(), generate_packets.Variant.get_hash(), generate_packets.Variant.get_receive(), and generate_packets.Packet.get_struct().

## ◆ keys_arg

generate_packets.Packet.keys_arg

Definition at line 1428 of file generate_packets.py.

## ◆ keys_format

generate_packets.Packet.keys_format

Definition at line 1427 of file generate_packets.py.

## ◆ log_macro

generate_packets.Packet.log_macro

Definition at line 1335 of file generate_packets.py.

## ◆ lsend_prototype

generate_packets.Packet.lsend_prototype

Definition at line 1463 of file generate_packets.py.

Referenced by generate_packets.Packet.get_prototypes().

## ◆ name

generate_packets.Packet.name

Definition at line 1345 of file generate_packets.py.

## ◆ no_handle

generate_packets.Packet.no_handle

Definition at line 1396 of file generate_packets.py.

## ◆ no_packet

generate_packets.Packet.no_packet

Definition at line 1387 of file generate_packets.py.

Referenced by generate_packets.Variant.get_send(), and generate_packets.Packet.get_send().

## ◆ other_fields

generate_packets.Packet.other_fields

Definition at line 1425 of file generate_packets.py.

Referenced by generate_packets.Variant.get_delta_receive_body(), generate_packets.Variant.get_delta_send_body(), generate_packets.Variant.get_stats(), and generate_packets.Packet.get_struct().

## ◆ send_prototype

generate_packets.Packet.send_prototype

Definition at line 1461 of file generate_packets.py.

Referenced by generate_packets.Packet.get_prototypes().

## ◆ type

generate_packets.Packet.type

Definition at line 1344 of file generate_packets.py.

## ◆ type_number

generate_packets.Packet.type_number

Definition at line 1346 of file generate_packets.py.

## ◆ types

generate_packets.Packet.types

Definition at line 1334 of file generate_packets.py.

## ◆ variants

generate_packets.Packet.variants

Definition at line 1477 of file generate_packets.py.

Referenced by generate_packets.Packet.get_variants().

## ◆ want_dsend

generate_packets.Packet.want_dsend

Definition at line 1434 of file generate_packets.py.

Referenced by generate_packets.Packet.get_dlsend(), generate_packets.Packet.get_dsend(), and generate_packets.Packet.get_prototypes().

## ◆ want_force

generate_packets.Packet.want_force

Definition at line 1405 of file generate_packets.py.

Referenced by generate_packets.Variant.get_send(), and generate_packets.Packet.get_send().

## ◆ want_lsend

generate_packets.Packet.want_lsend

Definition at line 1402 of file generate_packets.py.

Referenced by generate_packets.Packet.get_dlsend(), generate_packets.Packet.get_lsend(), and generate_packets.Packet.get_prototypes().

## ◆ want_post_recv

generate_packets.Packet.want_post_recv

Definition at line 1378 of file generate_packets.py.

Referenced by generate_packets.Variant.get_receive().

## ◆ want_post_send

generate_packets.Packet.want_post_send

Definition at line 1381 of file generate_packets.py.

Referenced by generate_packets.Variant.get_send().

## ◆ want_pre_send

generate_packets.Packet.want_pre_send

Definition at line 1375 of file generate_packets.py.

Referenced by generate_packets.Variant.get_send().